unit FramePourComposantTest;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls;

type
  TEnumMonth=(JANVIER, FEVRIER, MARS, AVRIL, MAI, JUIN, JUILLET,
    AOUT, SEPTEMBRE, OCTOBRE, NOVEMBRE, DECEMBRE);

  TEnumAn=1980..3000;

type
  TCadrePourComposantTest = class(TFrame)
    ProductName: TLabel;
    DateCreation: TLabel;
  private
    _mois:TEnumMonth;
    _an:TEnumAn;
    function getMois: TEnumMonth;
    procedure setMois(const Value: TEnumMonth);
    function getEnumAn: TEnumAn;
    procedure setEnumAn(const Value: TEnumAn);
    function getTitreCentre: string;
    procedure setTitreCentre(const Value: string);
  public
    procedure reflexeDate;
  published
    property TitreCentre:string read getTitreCentre write setTitreCentre;
    property MoisApplication:TEnumMonth read getMois write setMois ;
    property AnneeApplication:TEnumAn read getEnumAn write setEnumAn ;
  end;

implementation

{$R *.dfm}

uses
sysConst;

function TEnumMonthToStr(const mois: TEnumMonth): string;
begin
  case mois of
    JANVIER:result:=SShortMonthNameJan
  ; FEVRIER:result:=SShortMonthNameFeb
  ; MARS:result:=SShortMonthNameMar
  ; AVRIL:result:=SShortMonthNameApr
  ; MAI:result:=SShortMonthNameMay
  ; JUIN:result:=SShortMonthNameJun
  ; JUILLET:result:=SShortMonthNameJul
  ; AOUT:result:=SShortMonthNameAug
  ; SEPTEMBRE:result:=SShortMonthNameSep
  ; OCTOBRE:result:=SShortMonthNameOct
  ; NOVEMBRE:result:=SShortMonthNameNov
  ; DECEMBRE:result:=SShortMonthNameDec
  end;
end;


function TCadrePourComposantTest.getTitreCentre: string;
begin
  result:=ProductName.Caption;
end;

procedure TCadrePourComposantTest.setTitreCentre(const Value: string);
begin
  ProductName.Caption:=value;
end;

function TCadrePourComposantTest.getMois: TEnumMonth;
begin
  result:=_mois;

end;

procedure TCadrePourComposantTest.setMois(const Value: TEnumMonth);
begin
  _mois:=value;
  reflexeDate;

end;



function TCadrePourComposantTest.getEnumAn: TEnumAn;

begin
  result:=_an;
end;

procedure TCadrePourComposantTest.setEnumAn(const Value: TEnumAn);
begin
  _an:=value;
  reflexeDate;

end;

procedure TCadrePourComposantTest.reflexeDate;
begin
  DateCreation.Caption:= TEnumMonthToStr(_mois)+' '+intToStr(_an);
end;


end.
